Next Previous Contents

## 3.122 pokewsys

> Function

>   Write one word to a location in the system bank.

> Header

>   `cbm610.h`, `cbm510.h`

> Declaration

>   `void __fastcall__ pokewsys (unsigned addr, unsigned val);`

> Description

>   `pokewsys` writes one word to the given address in the system bank (bank 15) of the CBM PET-II machines. Following the usual 6502 conventions, the low byte of `val` is written to `addr`, and the high byte is written to `addr+1`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The order in which the two bytes are written is undefined.
> Availability

>   cc65

> See also

>   POKE, POKEW, peekbsys, peekwsys, pokebsys

> Example

>   None.

Next Previous Contents